
from flask_covid19.blueprints.app_web.web_dispachter_matrix_service import web_service
from flask_covid19.blueprints.app_web.web_views import app, cache, celery


# TODO: #207 remove deprecated: database.port
# port = app.config['PORT']
# TODO: #208 remove deprecated: database.run_run_with_debug
# run_run_with_debug = app.config['FLASK_APP_DEBUGGER_ACTIVE']

def run_web():
    web_service.prepare_run_web()
    with app.app_context():
        cache.clear()
    debug = app.config['FLASK_APP_DEBUGGER_ACTIVE']
    port = app.config['PORT']
    host = None
    load_dotenv = True
    app.run(
        host=host,
        port=port,
        debug=debug,
        load_dotenv=load_dotenv
    )
